Subject: Re: [Sip] WGLC for draft-ietf-sip-target-dialog-01.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 23 Oct 2005 01:05:37 -0400

Thanks for the comments, Jean-Francois. I've incorporated them into the 
new revision.

Details below:

Jean-Francois Mule wrote:

> Jonathan,
> 
>    I have not followed this work closely so sorry if my comments are off-track, but here are 2 comments. 
> 
> --- 1. 
>    The first comment is to consider aligning the aBNF grammar more strictly with the UAC/UAS behaviors on the remote-param and local-param.
> 
>    Sections 3 & 4 state that target-dialog should be authorized if both the remote-param and local-param are present (pending various conditions met). On the UAS, you even indicate the request for authorization MUST be ignored if both param are not provided (strong MUST).
> Yet the grammar is much looser:
>    Target-Dialog      =     "Target-Dialog" HCOLON call-id *(SEMI
>                             td-param)
>    td-param           =     remote-param / local-param / generic-param
>    remote-param       =     "remote-tag" EQUAL token
>    local-param        =     "local-tag" EQUAL token
> 
> Is there a reason for not making the grammar stricter to mandate both remote and local params? Or turning the question around, what would be examples when an authorization would be granted without both?
> I understand the potential issues of msgs being rejected due to bad grammar vs. msgs being accepted while only the header could be ignored but it seems that an implementation using this new header should be strict when sending the header.

As a general rule, we have not tried to use the BNF to enforce these 
kinds of rules. For example, look at Via header field - branch ID is 
reqired but not if you just read the BNF. The reason is that we have 
always allowed the header parameters to appear in in order. It is 
difficult to write a BNF that indicates that a header field has to 
appear at least once, but the ordering amongst other parameters (new or 
existing) is not specified.

> 
> --- 2. IANA section and Header Field Parameters Sub-Registry
> Per RFC3968, would it make sense to register the Target-Dialog header field parameters? 

Done.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip